import { getCriteriaBuilder, INPUT_MIN_LENGTH } from '@genesislcap/foundation-ui';
export const getSearchBarColumnsConfig = (columns, meta) => columns.map((column) => ({
    field: column.field,
    label: (searchTerm) => `${searchTerm} as ${column.headerName}`,
    resourceType: meta.TYPE,
    createCriteria: getCriteriaBuilder,
    isEnabled: (searchTerm, selectedOption) => {
        return (searchTerm.length >= INPUT_MIN_LENGTH &&
            !selectedOption.some((e) => e.field === column.field));
    },
}));
export const getSearchBarMetaConfig = (meta) => {
    var _a;
    return ((_a = meta.FIELD) !== null && _a !== void 0 ? _a : meta.REPLY_FIELD).map((field) => ({
        field: field.NAME,
        label: (searchTerm) => `${searchTerm} as ${field.NAME}`,
        resourceType: meta.TYPE,
        createCriteria: getCriteriaBuilder,
        isEnabled: (searchTerm, selectedOption) => {
            return (searchTerm.length >= INPUT_MIN_LENGTH &&
                !selectedOption.some((e) => e.field === field.NAME));
        },
    }));
};
